%define _unpackaged_files_terminate_build 0

Summary:	Direct Connect (p2p) Server
Name:		verlihub
Version:	0.9.8e
Release:	6.r2%{?dist}
License:	GPLv2+
Group:		Applications/Internet
Requires:	mysql
Requires:	mysql-server
Requires:	pcre
Requires:	GeoIP >= 1.3.1
BuildRequires:	mysql-devel
BuildRequires:	pcre-devel
BuildRequires:	GeoIP-devel
Source0:	%{name}-%{version}-r2.tar.bz2
Source1:	verlihub.service
Patch0:		verlihub-trigger.patch
Patch1:		verlihub-activesearch.patch
Patch2:		verlihub-prefix.patch
Patch3:		verlihub-max-slots.patch
URL:		http://www.verlihub-project.org/
BuildRoot:	%{_tmppath}/%{name}-root

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
This progam let's you have a p2p server for file sharing.
It's powerfull, flexible. Plugins are available.
Discussion forum - http://forums.verlihub-project.org
Discussion DC hub - hub.verlihub-project.org:7777

%prep
%setup -q -n %{name}-%{version}-r2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --with-cflags="$RPM_OPT_FLAGS"
make DESTDIR=$RPM_BUILD_ROOT  RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT  install

find $RPM_BUILD_ROOT -type f -print -or -type l -print| 
        sed -e "s@^$RPM_BUILD_ROOT@@g" \
	    -e 's@\(/man.*\.[1-9]\)$@\1.bz2@' > %{name}-filelist

mkdir -p $RPM_BUILD_ROOT/etc/verlihub
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system
%{__install} -d -m 0755 $RPM_BUILD_ROOT/etc/verlihub
%{__install} -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/lib/systemd/system
install -p -m644 %{SOURCE1} %{buildroot}/lib/systemd/system/%{name}.service

%post
/sbin/ldconfig
if [ $1 -eq 1 ] ; then 
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable udpxy.service > /dev/null 2>&1 || :
    /bin/systemctl stop udpxy.service > /dev/null 2>&1 || :
fi

%postun
/sbin/ldconfig
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart udpxy.service >/dev/null 2>&1 || :
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-filelist
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING ChangeLog TODO
/etc/verlihub
/lib/systemd/system/%{name}.service

%changelog
